<?php
namespace Claromentis\OAuth2;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"] = (@$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"] ?: array()) + array("_f4e5c2cfc0c84820575d1586a" . "6f13ae0" => base64_decode("YWNjZXNz" . "X3Rva2Vu"));
use Claromentis\Core\Http\Request;
use Claromentis\oauth2\Entity\AccessTokenEntity;
use Psr\Http\Message\ServerRequestInterface;
class ResourceServer extends \League\OAuth2\Server\ResourceServer
{
    
    
    protected $request;
    protected $access_token;
    public function setRequest($request)
    {
        $this->request = $request;
        $this->Validate();
    }
    public function getRequest()
    {
        return $this->request;
    }
    public function Validate()
    {
        $this->request = $this->validateAuthenticatedRequest($this->request);
    }
    public function determineAccessToken($_5cc5ff62da5b192e364d4551bbcd194a)
    {
        $this->access_token = $this->request->getAttribute($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_f4e5c2cfc0c84820575d1586" . "a6f13ae0"]);
        return $this->access_token;
    }
    public function getAccessToken()
    {
        return $this->access_token;
    }
}